Subject: Re: bug#71029: single-binary build broken on systems with separate libintl

From: Pádraig Brady <[email-masked]>
Date: Sat, 18 May 2024 12:12:46 +0100

On 17/05/2024 17:11, Audrey Dutcher wrote:
> On my FreeBSD system, downloading coreutils-9.5.tar.xz, then building
> with `./configure --enable-single-binary && make` does not succeed,
> with the error message `don't know how to make -Wl,-rpath. Stop`
> 
> I believe the root cause of this is
> https://github.com/coreutils/coreutils/blob/52e024b/src/local.mk#L485,
> which mixes DEPENDENCIES and LDADD. This seems bad, for very relevant
> reasons!

I presume you have the same issue with coreutils 9.4 ?

I presume the problematic flags are propagated through LIBINTL or MBRTOWC_LIB.
What are those set to for reference in your Makefile?

I'll have a look at cleaning this up.

thanks,
Pádraig